<div class="wrapper-outer">
    <!-- <div class="container">
        <div class="row">
            <div class="col-sm-6" style="text-align: left">
                <div class="search-box-wrapper">
                 
                    <input placeholder="Search here" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
                        class="form-control" #search [formControl]="searchControl" >
                    <input type="submit" name="">

                
                    <span class="col-8 help-block bottom fs12 text-left t-red"
                        *ngFor="let validation of errors.searchControl">
                        <span
                            *ngIf="searchControl.hasError(validation.type) && (searchControl.dirty || searchControl.touched)">
                            {{validation.message}}
                        </span>
                    </span>
                </div>
            </div>
        </div>
    </div> -->
    <!-- <div id="map"> -->
        <div class="row">

<div class="col-md-12 " >
       
    <div class="cont-login">
        <div class="form-box" >
            <div class="search-box-wrapper">
                <!-- <form [formGroup]='map'> -->
                <!-- <input type="text" name="srch" placeholder="Search here"> -->
                <input placeholder=" Enter full address including Postcode" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
                    class="form-control" #search [formControl]="searchControl" >
                <input type="submit" name="" class="alg-inp">

                <!-- </form> -->

                <!-- Error Messages -->
                <span class="col-8 help-block bottom fs12 text-left t-red"
                    *ngFor="let validation of errors.searchControl">
                    <span
                        *ngIf="searchControl.hasError(validation.type) && (searchControl.dirty || searchControl.touched)">
                        {{validation.message}}
                    </span>
                </span>
            </div>
            <form>
                <h3>Find candidate within below radius</h3>
                <p class="font-italic">*0 will indicate not to consider location while finding the candidates</p>
                <div class="form-group">
                    <ul class="dis-value">
                        <li>0 Miles</li>
                        <li>30 Miles</li>
                    </ul>
                    <div class="proxi-sldr location">
                        <div class="proxi-lt">
                            <!-- <mat-slider></mat-slider> -->
                            <mat-slider class="example-margin" [disabled]="disabled" [max]="max" [min]="min"
                                [step]="step" [value]="distanceValue"[thumbLabel]="thumbLabel"
                                (input)="onInputChange($event)">
                            </mat-slider>
                        </div>
                    </div>
                </div>
             
            </form>
            <agm-map [latitude]="lat" [longitude]="lng" style="border:0"  allowfullscreen [scrollwheel]="false" [zoom]="zoom">
                <!-- <agm-marker  [latitude]="lat" [longitude]="lng"></agm-marker> -->
                <agm-circle
                [latitude]="lat" [longitude]="lng"
                [circleDraggable]="false"
                [editable]="false"
                [fillColor]="circleColor"
                [radius]="disValue"
            >
            <agm-marker [latitude]="lat" [longitude]="lng" ></agm-marker>
            </agm-circle>
                <!-- [label]="'M'" -->
            </agm-map>

            <div class="form-group text-center">
                <input type="submit" (click)="saveLocationDetails()" [disabled]="!lat || !lng"
                    value="Save" class="btn" style="margin-top: 10px;">
            </div>
        </div>
    </div>
</div>
<!-- <div class="col-md-6 " > -->
        <!-- <iframe src="https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d14734.404612041511!2d88.39674414999999!3d22.594015999999996!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sin!4v1555402986709!5m2!1sen!2sin" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe> -->

<!-- </div> -->
</div>

    <!-- </div> -->

    <!-- <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="cont-login">
                    <div class="form-box" >
                        <form>
                            <h3 *ngIf = "showLocation" >Find candidate within below radius</h3>
                            <p class="font-italic" *ngIf = "showLocation">*0 will indicate not to consider location while finding the candidates</p>
                            <div class="form-group" *ngIf = "showLocation">
                                <ul class="dis-value">
                                    <li>0 Miles</li>
                                    <li>30 Miles</li>
                                </ul>
                                <div class="proxi-sldr location">
                                    <div class="proxi-lt">
                                     
                                        <mat-slider class="example-margin" [disabled]="disabled" [max]="max" [min]="min"
                                            [step]="step" [value]="distanceValue"  [displayWith]="formatLabel" [thumbLabel]="thumbLabel"
                                            (input)="onInputChange($event)">
                                        </mat-slider>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group text-center">
                                <input type="submit" (click)="saveLocationDetails()" [disabled]="!lat || !lng"
                                    value="Save" class="btn">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div> -->
</div>